## RygelV1Hacks

RygelV1Hacks — Various devices that need a downgrade to MediaServer:1 and ContentDirectory:1 because they ignore that higher versions are required to be backwards-compatible.

## Functions

void | rygel_v1_hacks_apply_on_device ()
RygelV1Hacks * | rygel_v1_hacks_new ()
const gchar * | rygel_v1_hacks_get_device_type ()
void | rygel_v1_hacks_set_device_type ()
gchar ** | rygel_v1_hacks_get_service_types ()

## Properties

gchar * | device-type | Read / Write / Construct
GStrv | service-types | Read / Write / Construct Only

## Types and Values

#define | RYGEL_TYPE_V1_HACKS
struct | RygelV1Hacks
struct | RygelV1HacksClass

## Object Hierarchy

        GObject
        ╰── RygelV1Hacks

## Description

## Functions

### rygel_v1_hacks_apply_on_device ()

    void
    rygel_v1_hacks_apply_on_device (RygelV1Hacks *self,
                                    RygelRootDevice *device,
                                    const gchar *template_path,
                                    GError **error);

#### Parameters

self | the RygelV1Hacks instance |
device |  |
template_path |  |
error | location to store the error occuring, or `NULL` to ignore |

### rygel_v1_hacks_new ()

    RygelV1Hacks *
    rygel_v1_hacks_new (const gchar *device_type,
                        gchar **service_types,
                        int service_types_length1);

#### Parameters

service_types_length1 | length of the `service_types` array |
device_type |  |
service_types |  |

### rygel_v1_hacks_get_device_type ()

    const gchar *
    rygel_v1_hacks_get_device_type (RygelV1Hacks *self);

Get and return the current value of the "device-type" property.

#### Parameters

self | the RygelV1Hacks instance to query |

#### Returns

the value of the "device-type" property

### rygel_v1_hacks_set_device_type ()

    void
    rygel_v1_hacks_set_device_type (RygelV1Hacks *self,
                                    const gchar *value);

Set the value of the "device-type" property to `value` .

#### Parameters

self | the RygelV1Hacks instance to modify |
value | the new value of the "device-type" property |

### rygel_v1_hacks_get_service_types ()

    gchar **
    rygel_v1_hacks_get_service_types (RygelV1Hacks *self,
                                      int *result_length1);

Get and return the current value of the "service-types" property.

#### Parameters

self | the RygelV1Hacks instance to query |

#### Returns

the value of the "service-types" property

## Types and Values

### RYGEL_TYPE_V1_HACKS

    #define RYGEL_TYPE_V1_HACKS (rygel_v1_hacks_get_type ())

The type for RygelV1Hacks.

### struct RygelV1Hacks

    struct RygelV1Hacks;

Various devices that need a downgrade to MediaServer:1 and ContentDirectory:1 because they ignore that higher versions are required to be backwards-compatible.

### struct RygelV1HacksClass

    struct RygelV1HacksClass {
    	GObjectClass parent_class;
    };

The class structure for `RYGEL_TYPE_V1_HACKS`. All the fields in this structure are private and should never be accessed directly.

#### Members

## Property Details

### The `“device-type”` property

      “device-type”              gchar *

device-type.

Flags: Read / Write / Construct

Default value: NULL

### The `“service-types”` property

      “service-types”            GStrv

service-types.

Flags: Read / Write / Construct Only